%define major 0
%define libname %mklibname cryptmount %{major}
%define devname %mklibname cryptmount -d

Summary:	Pluggable Authentication Module for dynamic mounting of remote volumes
Name:		pam_mount
Version:	2.15
Release:	2
License:	GPLv2+ and LGPLv2+
Group:		Networking/Other
Url:		http://pam-mount.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.xz
Source1:	http://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.asc
#Prevents multiple mount of the same mount point in case of not
#unmounting (see #15479)
Patch0:		pam_mount-2.15-ismountpoint.patch
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(libcrypto) >= 0.9.8
BuildRequires:	pkgconfig(libcryptsetup) >= 1.1.2
BuildRequires:	pkgconfig(libHX) >= 3.12.1
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6
BuildRequires:	pkgconfig(mount) >= 2.20
Requires:	hxtools-system
Requires:	opensc

%description
Pam_mount is a PAM module that allows dynamic remote volume mounting.
It is useful for users that have private volumes in Samba / Windows NT
/ Netware servers and need access to them during a Unix session. It
can also be used to transparently mount encrypted volumes using your
logging credentials.

%files
%doc doc/news.txt doc/bugs.txt doc/options.txt 
%doc doc/faq.txt doc/todo.txt doc/pam_mount.txt
/%{_lib}/security/pam_mount*.so
%{_sbindir}/pmt-ehd
%{_sbindir}/pmvarrun
/sbin/mount.crypt
/sbin/mount.crypto_LUKS
/sbin/mount.crypt_LUKS
/sbin/umount.crypt
/sbin/umount.crypt_LUKS
/sbin/umount.crypto_LUKS
%config(noreplace) %{_sysconfdir}/security/%{name}.conf.xml
%{_mandir}/man8/pam_mount.8*
%{_mandir}/man8/pmt-ehd.8*
%{_mandir}/man8/pmvarrun.8*
%{_mandir}/man8/mount.crypt.8*
%{_mandir}/man8/mount.crypt_LUKS.8*
%{_mandir}/man8/mount.crypto_LUKS.8*
%{_mandir}/man8/umount.crypt.8*
%{_mandir}/man8/umount.crypt_LUKS.8*
%{_mandir}/man8/umount.crypto_LUKS.8*
%{_mandir}/man5/pam_mount.conf.5*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains shared libs for %{name}.

%files -n %{libname}
%{_libdir}/libcryptmount.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}

%description -n %{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/libcryptmount.h
%{_libdir}/libcryptmount.so
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%patch -p1

%build
%configure2_5x \
	--disable-static
%make moduledir=/%{_lib}/security

%install
%makeinstall_std moduledir=/%{_lib}/security
install -m0600 config/pam_mount.conf.xml -D %{buildroot}%{_sysconfdir}/security/pam_mount.conf.xml


%changelog

* Tue Sep 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.15-2
- (556e18d) Requires hxtools-system


